# Do not run network tests accessing Internet
%{bcond_with perl_Net_HTTP_enables_network_test}

Summary:        Low-level HTTP connection (client)
Name:           perl-Net-HTTP
Version:        6.22
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Net-HTTP
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/Net-HTTP-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils, make, perl-generators, perl-interpreter, perl(:VERSION) >= 5.6.2, perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76, perl(Getopt::Long), perl(strict)
# Run-time:
BuildRequires:  perl(base), perl(Carp), perl(Compress::Raw::Zlib), perl(IO::Socket::IP), perl(IO::Socket), perl(IO::Socket::SSL) >= 2.012
BuildRequires:  perl(IO::Uncompress::Gunzip), perl(Symbol), perl(URI), perl(warnings)
# Tests only:
BuildRequires:  perl(Data::Dumper), perl(File::Spec), perl(IO::Select), perl(IO::Socket::INET), perl(Socket), perl(Test::More)
Requires:       perl(Compress::Raw::Zlib), perl(IO::Uncompress::Gunzip), perl(IO::Socket::IP), perl(Symbol), perl(IO::Socket::SSL) >= 2.012   

%description
The Net::HTTP class is a low-level HTTP client. An instance of the
Net::HTTP class represents a connection to an HTTP server. The HTTP
protocol is described in RFC 2616. The Net::HTTP class supports HTTP/1.0
and HTTP/1.1.



%prep
%setup -q -n Net-HTTP-%{version}
%if %{without perl_Net_HTTP_enables_network_test}
rm t/live*.t
perl -i -ne 'print $_ unless m{^t/live.*\.t}' MANIFEST
%endif
# Help generators to recognize a Perl code
for F in t/*.t; do
    perl -i -MConfig -pe 'print qq{$Config{startperl}\n} if $. == 1 && !s{\A#!.*\bperl}{$Config{startperl}}' "$F"
    chmod +x "$F"
done



%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}



%install
make install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*



%check
export HARNESS_OPTIONS=j$(nproc)
make test



%files
%license LICENSE
%doc Changes CONTRIBUTORS README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.22-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 6.22-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.22-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.22-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 11 2022 Zhao Zhen <jeremiazhao@tencent.com> - 6.22-1
- Initial building.
